Eclipse Platform Release 3.7

## org.eclipse.swt.graphics
Class DeviceData

    java.lang.Object
      org.eclipse.swt.graphics.DeviceData

Direct Known Subclasses:
  PrinterData

    public class DeviceData

extends Object

Field Summary
`boolean` `debug`
`Error[]` `errors`
`Object[]` `objects`
`boolean` `tracking`

Constructor Summary
`DeviceData()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debug

    public boolean debug

### tracking

    public boolean tracking

### errors

    public Error[] errors

### objects

    public Object[] objects

Constructor Detail

### DeviceData

    public DeviceData()

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.